Bug 630132 - [abrt] gedit-2:2.30.3-1.fc14: synctex.py:226:__init__:TypeError: add_helper() takes exactly 4 arguments (2 given)
[abrt] gedit-2:2.30.3-1.fc14: synctex.py:226:__init__:TypeError: add_helper()...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gedit (Show other bugs)
14
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
abrt_hash:18c05f03
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-09-03 15:02 EDT by Jim Campbell
Modified: 2012-08-16 16:13 EDT (History)
16 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 16:13:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (719 bytes, text/plain)
2010-09-03 15:02 EDT, Jim Campbell
no flags Details
Patch from upstream dev, José Aliste (62 bytes, text/plain)
2010-09-06 23:58 EDT, Jim Campbell
no flags Details

  None (edit)
Description Jim Campbell 2010-09-03 15:02:21 EDT
abrt version: 1.1.13
architecture: i686
cmdline: gedit
comment: Thank you for your work.  I look forward to being able to use this plugin!  : )
component: gedit
executable: /usr/lib/gedit-2/plugins
kernel: 2.6.35.4-12.fc14.i686
package: gedit-2:2.30.3-1.fc14
reason: synctex.py:226:__init__:TypeError: add_helper() takes exactly 4 arguments (2 given)
release: Fedora release 14 (Laughlin)
time: 1283537992
uid: 500

backtrace
-----
synctex.py:226:__init__:TypeError: add_helper() takes exactly 4 arguments (2 given)

Traceback (most recent call last):
  File "/usr/lib/gedit-2/plugins/synctex/synctex.py", line 300, in activate
    helper = SynctexWindowHelper(self, window)
  File "/usr/lib/gedit-2/plugins/synctex/synctex.py", line 226, in __init__
    self.add_helper(view)
TypeError: add_helper() takes exactly 4 arguments (2 given)

Local variables in innermost frame:
window: <gedit.Window object at 0x9dc9e14 (GeditWindow at 0x927f050)>
plugin: <SynctexPlugin object at 0xa1f4554 (GeditPluginPython at 0x9500c40)>
self: <synctex.synctex.SynctexWindowHelper instance at 0xa1f80cc>
view: <gedit.View object at 0x9d36fcc (GeditView at 0x94280a0)>

How to reproduce
-----
1. Opened a gedit plain-text file that did not contain LaTeX text (just regular text)
2. Enabled the synctext plugin in gedit because I want to use it later
3. gedit reports a crash
Comment 1 Jim Campbell 2010-09-03 15:02:23 EDT
Created an attachment (id=442959)
File: backtrace
Comment 2 Jim Campbell 2010-09-04 09:47:16 EDT
I have reported this in the GNOME bugzilla: https://bugzilla.gnome.org/show_bug.cgi?id=628771
Comment 3 Jim Campbell 2010-09-06 23:58:57 EDT
Created attachment 443395 [details]
Patch from upstream dev, José Aliste

Upstream dev recommends testing this patch, per comments on: https://bugzilla.gnome.org/show_bug.cgi?id=628771#c1
Comment 4 BRARD 2010-09-23 03:16:33 EDT
Package: gedit-2:2.30.3-1.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.Réglage des préférences de gedit : choix des greffons
2.
3.
Comment 5 bethebeast 2010-11-04 15:18:48 EDT
Package: gedit-2:2.30.4-1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. open Gedit
2. configure plugins
3. enable some plugins
4. get crash
Comment 6 Renich Bon Ciric 2010-11-04 21:55:28 EDT
Package: gedit-2:2.30.4-1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. su -c 'yum install gedit-beesu-plugin.x86_64 gedit-latex-plugin.x86_64 gedit-plugins.x86_64 gedit-vala.x86_64 rabbitvcs-gedit'
2. start gedit
Comment 7 yerlans 2010-11-05 10:14:06 EDT
Package: gedit-2:2.30.4-1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Install Gedit Plugins package
2. In Gedit, Edit -> Preferences -> Plugins
3. Enable SyncTeX plugin

To reproduce, disable plugin, restart Gedit and repeat above steps.

Comment
-----
Basically, I don't think I'd use this plugin, I was just greedy and enabled all plugins.
Anyhow, I thought better to report this bug.
Comment 8 Jan Böhringer 2010-11-13 10:36:36 EST
Package: gedit-2:2.30.4-1.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.Try to enable the synctex-plugin in gedit
2.
3.


Comment
-----
The plugin seems to work though.
Comment 9 Alexey Kazakov 2010-11-17 15:07:52 EST
Package: gedit-2:2.30.4-1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Install gedit-plugins package.
2. Run gedit. Go to Preferences -> Modules tab.
3. Try to activate SyncTex module. Abrt pops up (gedit stays open, 
just module crashes as far as I can see).
Comment 10 Greg Trounson 2010-12-02 16:12:07 EST
Package: gedit-2:2.30.4-1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Launched gedit
2. Edit -> Preferences -> Plugins
3. Enabled SyncTeX plugin
Comment 11 Sparsa 2010-12-06 06:29:58 EST
Package: gedit-2:2.30.4-1.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.i was using gedit-plugins
2.suddenly ABRT poped up
3.


Comment
-----
just installed gedit-plugins from distribution
Comment 12 Igor Katalnikov 2011-01-23 10:12:59 EST
Package: gedit-2:2.30.4-1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.Added plugin to gedit
2.
3.
Comment 13 cyrushmh 2011-02-16 02:18:09 EST
Package: gedit-2:2.30.4-1.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.open gbk file ,enable SyncTex
2.disable SyncTex
3.
Comment 14 Dave Galloway 2011-02-16 05:03:49 EST
Package: gedit-2:2.30.4-1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.just errered on its own
2.
3.
Comment 15 Gen Zhang 2011-03-24 09:37:34 EDT
Package: gedit-2:2.30.4-1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. open gedit with a latex (.tex) file
2. enable SyncTex plugin
Comment 16 Radek Lat 2011-04-21 12:06:23 EDT
Package: gedit-2:2.30.4-1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Open a LaTeX document in gedit
2. Go Edit - Preferences - Plugins tab
3. Enable SynTeX plugin
Comment 17 Justin Willmert 2011-05-08 14:27:44 EDT
Package: gedit-2:2.30.4-1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Enable the SyncTeX plugin
2. Receive crash report.
Comment 18 michael 2011-10-07 09:26:18 EDT
Package: gedit-2:2.30.4-1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.installed plugins
2.opened it
3.customised gedit 
4. failed to load plugins
Comment 19 michael 2011-10-07 09:27:05 EDT
Package: gedit-2:2.30.4-1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.installed plugins
2.opened it
3.customised gedit 
4. failed to load plugins
Comment 20 michael 2011-10-07 09:27:47 EDT
Package: gedit-2:2.30.4-1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.installed plugins
2.opened it
3.customised gedit 
4. failed to load plugins
Comment 21 afsar-servis 2011-10-22 15:00:07 EDT
Package: gedit-2:2.30.4-1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.module all on
2.
3.
Comment 22 michael 2011-10-31 07:24:29 EDT
Package: gedit-2:2.30.4-1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.opened new document
2.started adding plugins
3.crashed while the plugin window was opened
4.the software did not close
Comment 23 Fedora End Of Life 2012-08-16 16:13:06 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.